aboutsummaryrefslogtreecommitdiffstats
path: root/config/hypr
diff options
context:
space:
mode:
Diffstat (limited to 'config/hypr')
-rw-r--r--config/hypr/UserConfigs/Startup_Apps.conf3
-rwxr-xr-xconfig/hypr/UserScripts/Sunset.sh7
-rwxr-xr-xconfig/hypr/scripts/ClipManager.sh43
-rwxr-xr-xconfig/hypr/scripts/WaybarCava.sh3
4 files changed, 40 insertions, 16 deletions
diff --git a/config/hypr/UserConfigs/Startup_Apps.conf b/config/hypr/UserConfigs/Startup_Apps.conf
index fb0735d9..7f2d600d 100644
--- a/config/hypr/UserConfigs/Startup_Apps.conf
+++ b/config/hypr/UserConfigs/Startup_Apps.conf
@@ -49,6 +49,3 @@ exec-once = swayidle -w timeout 900 '$lock'
# xdg-desktop-portal-hyprland (should be auto starting. However, you can force to start)
#exec-once = $scriptsDir/PortalHyprland.sh
-
-# wlsunset - for automatic gamma adjustment. Default is 1900 to 0700 (7pm to 7am). Edit Sunset.sh accordingly
-# exec-once = $UserScripts/Sunset.sh \ No newline at end of file
diff --git a/config/hypr/UserScripts/Sunset.sh b/config/hypr/UserScripts/Sunset.sh
deleted file mode 100755
index 50e386d1..00000000
--- a/config/hypr/UserScripts/Sunset.sh
+++ /dev/null
@@ -1,7 +0,0 @@
-#!/bin/bash
-## /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
-
-# wlsunset project page
-# https://sr.ht/~kennylevinsen/wlsunset/
-
-wlsunset -t 4000 -T 6500 -d 900 -S 07:00 -s 19:00 \ No newline at end of file
diff --git a/config/hypr/scripts/ClipManager.sh b/config/hypr/scripts/ClipManager.sh
index ee6b512f..682174fc 100755
--- a/config/hypr/scripts/ClipManager.sh
+++ b/config/hypr/scripts/ClipManager.sh
@@ -1,9 +1,40 @@
#!/bin/bash
## /* ---- 💫 https://github.com/JaKooLit 💫 ---- */ ##
-# Clipboard Manager. This needed cliphist & wl-copy and of course rofi
+# Clipboard Manager. This script uses cliphist, rofi, and wl-copy.
+
+# Actions:
+# CTRL Del to delete an entry
+# ALT Del to wipe clipboard contents
+
+while true; do
+ result=$(
+ rofi -dmenu \
+ -kb-custom-1 "Control-Delete" \
+ -kb-custom-2 "Alt-Delete" \
+ -config ~/.config/rofi/config-clipboard.rasi < <(cliphist list)
+ )
+
+ case "$?" in
+ 1)
+ exit
+ ;;
+ 0)
+ case "$result" in
+ "")
+ continue
+ ;;
+ *)
+ cliphist decode <<<"$result" | wl-copy
+ exit
+ ;;
+ esac
+ ;;
+ 10)
+ cliphist delete <<<"$result"
+ ;;
+ 11)
+ cliphist wipe
+ ;;
+ esac
+done
-if [[ ! $(pidof rofi) ]]; then
- cliphist list | rofi -dmenu -config ~/.config/rofi/config-long.rasi | cliphist decode | wl-copy
-else
- pkill rofi
-fi
diff --git a/config/hypr/scripts/WaybarCava.sh b/config/hypr/scripts/WaybarCava.sh
index 77fce82a..711f4c62 100755
--- a/config/hypr/scripts/WaybarCava.sh
+++ b/config/hypr/scripts/WaybarCava.sh
@@ -28,5 +28,8 @@ data_format = ascii
ascii_max_range = 7
EOF
+# Kill cava if it's already running
+pkill -f "cava -p $config_file"
+
# Read stdout from cava and perform substitution in a single sed command
cava -p "$config_file" | sed -u "$dict"
send patches to the email below
yukais@pinapelz.com
include the subject [PATCH repo_name]
pinapelz.com
homepage